# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/git-2.32.0-on-linux_64, last modified Fri Aug 13 12:22:38 2021
# ------------------------------------------------

package:
  name: git
  version: 2.32.0
source:
  - folder: code
    patches:
      - 0001-macOS-Do-not-use-the-system-Wish-urgh.patch
    sha256: 6038f06d396ba9dab2eee541c7db6e7f9f847f181ec62f3d8441893f8c469398
    url: https://mirrors.edge.kernel.org/pub/software/scm/git/git-2.32.0.tar.gz
  - folder: manpages
    sha256: b5533c40ea1688231c0e2df51cc0d1c0272e17fe78a45ba6e60cb8f61fa4a53c
    url: https://mirrors.edge.kernel.org/pub/software/scm/git/git-manpages-2.32.0.tar.gz
  - folder: htmldocs
    sha256: e38c525084355612cad6358e64361a0eaae5901f91460074f8f913dea702ee4c
    url: https://mirrors.edge.kernel.org/pub/software/scm/git/git-htmldocs-2.32.0.tar.gz
build:
  detect_binary_files_with_prefix: true
  number: '1'
  string: pl5262hc120c5b_1
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - autoconf 2.69 pl526hebd4dad_5
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - gcc_impl_linux-64 7.5.0 h7105cf2_17
    - gcc_linux-64 7.5.0 h8f34230_30
    - gettext 0.21.0 hf68c758_0
    - icu 58.2 he6710b0_3
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libgcc-devel_linux-64 7.5.0 hbbeae57_17
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - libxml2 2.9.12 h03d6c58_0
    - m4 1.4.18 h4e445db_0
    - make 4.2.1 h1bed415_1
    - perl 5.26.2 h14c3975_0
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.10 hbc83047_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7b6447c_3
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.17.1 h27cfd23_0
    - ca-certificates 2021.7.5 h06a4308_1
    - curl 7.78.0 h1ccaba5_0
    - expat 2.2.10 he6710b0_2
    - krb5 1.19.2 hac12032_0
    - libcurl 7.78.0 h0b77cf5_0
    - libedit 3.1.20210216 h27cfd23_1
    - libev 4.33 h7b6447c_0
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libiconv 1.15 h63c8f33_5
    - libnghttp2 1.41.0 hf8bcb03_2
    - libssh2 1.9.0 h1ba5d50_1
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - ncurses 6.2 he6710b0_1
    - openssl 1.1.1k h27cfd23_0
    - pcre2 10.35 h14c3975_1
    - perl 5.26.2 h14c3975_0
    - zlib 1.2.11 h7b6447c_3
  run:
    - curl
    - expat >=2.2.10,<3.0a0
    - gettext
    - libgcc-ng >=7.5.0
    - libiconv
    - openssl >=1.1.1k,<1.1.2a
    - pcre2 >=10.35,<10.36.0a0
    - perl 5.*
    - tk
    - zlib >=1.2.11,<1.3.0a0
test:
  commands:
    - test -f $PREFIX/bin/git
    - test -f $PREFIX/bin/gitk
    - test -f $PREFIX/libexec/git-core/git-add--interactive
    - git --version
    - git clone https://github.com/conda-forge/git-feedstock
    - bash $PREFIX/share/bash-completion/completions/git
    - test -f $PREFIX/man/man1/git.1
    - test -f $PREFIX/share/doc/git/index.html
about:
  home: https://git-scm.com/
  license: GPL-2.0-or-later and LGPL-2.1-or-later
  license_file: code/COPYING
  summary: distributed version control system
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - djsutherland
    - jakirkham
    - msarahan
    - ocefpaf
    - pelson
    - scopatz
